Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class C2TAUS1genImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.random.C2TAUS1genImpl

public class C2TAUS1genImpl
extends BaseImpl
implements C2TAUSgen, C2TAUSgenS, C2TAUS1genS, C2TAUS1gen

Combined Tausworthe generator 1. Component 1 parameters: P = 31, S = 12, Q = 13 Component 2 parameters: P = 29, S = 17, Q = 2 With these parameters, this generator has a single full cycle of length ~ 2^60.

Constructor Summary
`C2TAUS1genImpl()`
`C2TAUS1genImpl(Zone aZone)`
`C2TAUS1genImpl(Zone aZone, int seed)`

Methods implemented by this class for interface swarm.random.SimpleGenerator
`getCurrentCount, getDoubleSample, getFloatSample, getThinDoubleSample, getUnsignedSample`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.random.InternalState
`getMagic, getStateSize`

Methods implemented by this class for interface swarm.random.CommonGenerator
`getAntithetic, getInitialSeed, getMaxSeedValue, getUnsignedMax, lengthOfSeedVector, reset`

Methods implemented by this class for interface swarm.random.CommonGeneratorS
`setAntithetic, setStateFromSeed`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### C2TAUS1genImpl

    public C2TAUS1genImpl()

### C2TAUS1genImpl

    public C2TAUS1genImpl(Zone aZone,
                          int seed)

### C2TAUS1genImpl

    public C2TAUS1genImpl(Zone aZone)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD